cvpnssn.vo

## Class PrescrizioneIdentificataNSSNResponse

- java.lang.Object
- - cvpnssn.vo.PrescrizioneIdentificataNSSNResponse

-     public class PrescrizioneIdentificataNSSNResponse
      extends java.lang.Object

  Contiene i dati della prescrizione.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `cdaInstance` Contiene il CDA della prescrizione
    `private java.lang.String` | `cfMedico` Codice fiscale del medico che ha effettuato la prescrizione
    `private java.lang.String` | `codASLAo` Codice ASL del medico prescrittore
    `private java.lang.String` | `codCatRicetta` Tipologia di ricetta prescritta: RNR, RNRL, RR, RRL
    `private java.lang.String` | `codDiagnosi` Codice della diagnosi o del sospetto diagnostico
    `private java.lang.String` | `codEsitoVisualizzazione` Codice esito dell’operazione di visualizzazione.
    `private java.lang.String` | `codicePaziente` Codice Fiscale/STP/ENI dell'assistito
    `private java.lang.String` | `codRegione` Codice Regione / Provincia Autonoma del medico prescrittore
    `private java.lang.String` | `codSpecializzazione` Specializzazione del medico prescrittore indicato in cfMedico secondo la classificazione del STS
    `private java.lang.String` | `codStruttura` Codice della struttura dove opera il medico prescrittore
    `private java.lang.String` | `cognNome` Cognome e nome dell’assistito
    `private java.lang.String` | `cognomeMedico` Cognome del medico che ha effettuato la prescrizione
    `private java.lang.String` | `dataCompilazione` Data compilazione della ricetta da parte del medico
    `private java.lang.String` | `dataPresaInCarico` Data di presa in carico calcolata dal SAC
    `private java.lang.String` | `dataRicezione` Data di ricezione della transazione calcolata dal SAC
    `private java.lang.String` | `dataSpedizione` Data di spedizione (ossia di erogazione) della ricetta.
    `private java.lang.String` | `descrDiagnosi` Descrizione testuale della diagnosi o del sospetto diagnostico in libero
    `private java.lang.String` | `dispRic3` Informazioni aggiuntive delle Regioni
    `private ElencoAnomaliaNSSN` | `elencoAnomaliaNSSN` Lista delle anomalie per le prescrizioni NSSN
    `private ElencoComunicazioni` | `elencoComunicazioneNSSN` Lista delle comunicazioni ritornate dal SAC per le prescrizioni NSSN
    `private ElencoPrestazioneErogataNSSN` | `elencoPrestazioneErogataNSSN` Lista restituita solo per gestionali di farmacia, Lista delle prestazioni NSSN presenti in una ricetta
    `private ElencoPrestazioneNSSN` | `elencoPrestazioneNSSN` Lista restituita solo per software di cartelle cliniche, Lista delle prestazioni NSSN presenti in una ricetta
    `private java.lang.String` | `flagPromemoria` Valori: 0=il SAC ha prodotto il pdf del promemoria della ricetta, che si trova nel tag pdfPromemoria 1= il SAC non ha prodotto il pdf del promemoria della ricetta
    `private java.lang.String` | `indirizzo` Indirizzo dell’assistito
    `private java.lang.String` | `indirMedico` Indirizzo del medico prescrittore
    `private java.lang.String` | `nomeMedico` Nome del medico che ha effettuato la prescrizione
    `private java.lang.String` | `nrbe` Numero ricetta bianca elettronica
    `private java.lang.String` | `numIscrizAlbo` Numero di iscrizione all’albo professionale
    `private java.lang.String` | `pdfPromemoria` Base64 del promemoria della ricetta dematerializzata in formato PDF.
    `private java.lang.String` | `pinNrbe` Numero breve Ricetta Bianca elettronica
    `private java.lang.String` | `protocolloTransazione` Identificativo univoco della transazione, sempre valorizzato
    `private java.lang.String` | `specialClinica` Specializzazione clinica del medico prescrittore in testo libero
    `private java.lang.String` | `statoProcesso` STATO DEL PROCESSO della ricetta: 3 = ricetta prescritta ancora da erogare 4 = ricetta annullata dal prescrittore 5 = ricetta in corso di erogazione 6 = sospesa (solo per RNR/RNRL) 7= Singola prescrizione erogata 8 = Ricetta erogata 9 = Ricetta farmaceutica nuovamente erogata a seguito di annullamento
    `private java.lang.String` | `telefMedico` Numero di telefono del medico prescrittore
    `private java.lang.String` | `testata1` Campo destinato a informazioni aggiuntive
    `private java.lang.String` | `testata2` Informazioni associate alle Regioni
    `private java.lang.String` | `tipoPrescrizione` Tipologia della prescrizione

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrescrizioneIdentificataNSSNResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCdaInstance()`
    `java.lang.String` | `getCfMedico()`
    `java.lang.String` | `getCodASLAo()`
    `java.lang.String` | `getCodCatRicetta()`
    `java.lang.String` | `getCodDiagnosi()`
    `java.lang.String` | `getCodEsitoVisualizzazione()`
    `java.lang.String` | `getCodicePaziente()`
    `java.lang.String` | `getCodRegione()`
    `java.lang.String` | `getCodSpecializzazione()`
    `java.lang.String` | `getCodStruttura()`
    `java.lang.String` | `getCognNome()`
    `java.lang.String` | `getCognomeMedico()`
    `java.lang.String` | `getDataCompilazione()`
    `java.lang.String` | `getDataPresaInCarico()`
    `java.lang.String` | `getDataRicezione()`
    `java.lang.String` | `getDataSpedizione()`
    `java.lang.String` | `getDescrDiagnosi()`
    `java.lang.String` | `getDispRic3()`
    `ElencoAnomaliaNSSN` | `getElencoAnomaliaNSSN()`
    `ElencoComunicazioni` | `getElencoComunicazioneNSSN()`
    `ElencoPrestazioneErogataNSSN` | `getElencoPrestazioneErogataNSSN()`
    `ElencoPrestazioneNSSN` | `getElencoPrestazioneNSSN()`
    `java.lang.String` | `getFlagPromemoria()`
    `java.lang.String` | `getIndirizzo()`
    `java.lang.String` | `getIndirMedico()`
    `java.lang.String` | `getNomeMedico()`
    `java.lang.String` | `getNrbe()`
    `java.lang.String` | `getNumIscrizAlbo()`
    `java.lang.String` | `getPdfPromemoria()`
    `java.lang.String` | `getPinNrbe()`
    `java.lang.String` | `getProtocolloTransazione()`
    `java.lang.String` | `getSpecialClinica()`
    `java.lang.String` | `getStatoProcesso()`
    `java.lang.String` | `getTelefMedico()`
    `java.lang.String` | `getTestata1()`
    `java.lang.String` | `getTestata2()`
    `java.lang.String` | `getTipoPrescrizione()`
    `void` | `setCdaInstance(java.lang.String cdaInstance)`
    `void` | `setCfMedico(java.lang.String cfMedico)`
    `void` | `setCodASLAo(java.lang.String codASLAo)`
    `void` | `setCodCatRicetta(java.lang.String codCatRicetta)`
    `void` | `setCodDiagnosi(java.lang.String codDiagnosi)`
    `void` | `setCodEsitoVisualizzazione(java.lang.String codEsitoVisualizzazione)`
    `void` | `setCodicePaziente(java.lang.String codicePaziente)`
    `void` | `setCodRegione(java.lang.String codRegione)`
    `void` | `setCodSpecializzazione(java.lang.String codSpecializzazione)`
    `void` | `setCodStruttura(java.lang.String codStruttura)`
    `void` | `setCognNome(java.lang.String cognNome)`
    `void` | `setCognomeMedico(java.lang.String cognomeMedico)`
    `void` | `setDataCompilazione(java.lang.String dataCompilazione)`
    `void` | `setDataPresaInCarico(java.lang.String dataPresaInCarico)`
    `void` | `setDataRicezione(java.lang.String dataRicezione)`
    `void` | `setDataSpedizione(java.lang.String dataSpedizione)`
    `void` | `setDescrDiagnosi(java.lang.String descrDiagnosi)`
    `void` | `setDispRic3(java.lang.String dispRic3)`
    `void` | `setElencoAnomaliaNSSN(ElencoAnomaliaNSSN elencoAnomaliaNSSN)`
    `void` | `setElencoComunicazioneNSSN(ElencoComunicazioni elencoComunicazioneNSSN)`
    `void` | `setElencoPrestazioneErogataNSSN(ElencoPrestazioneErogataNSSN elencoPrestazioneErogataNSSN)`
    `void` | `setElencoPrestazioneNSSN(ElencoPrestazioneNSSN elencoPrestazioneNSSN)`
    `void` | `setFlagPromemoria(java.lang.String flagPromemoria)`
    `void` | `setIndirizzo(java.lang.String indirizzo)`
    `void` | `setIndirMedico(java.lang.String indirMedico)`
    `void` | `setNomeMedico(java.lang.String nomeMedico)`
    `void` | `setNrbe(java.lang.String nrbe)`
    `void` | `setNumIscrizAlbo(java.lang.String numIscrizAlbo)`
    `void` | `setPdfPromemoria(java.lang.String pdfPromemoria)`
    `void` | `setPinNrbe(java.lang.String pinNrbe)`
    `void` | `setProtocolloTransazione(java.lang.String protocolloTransazione)`
    `void` | `setSpecialClinica(java.lang.String specialClinica)`
    `void` | `setStatoProcesso(java.lang.String statoProcesso)`
    `void` | `setTelefMedico(java.lang.String telefMedico)`
    `void` | `setTestata1(java.lang.String testata1)`
    `void` | `setTestata2(java.lang.String testata2)`
    `void` | `setTipoPrescrizione(java.lang.String tipoPrescrizione)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protocolloTransazione

          private java.lang.String protocolloTransazione

      Identificativo univoco della transazione, sempre valorizzato

    - #### dataRicezione

          private java.lang.String dataRicezione

      Data di ricezione della transazione calcolata dal SAC

    - #### nrbe

          private java.lang.String nrbe

      Numero ricetta bianca elettronica

    - #### pinNrbe

          private java.lang.String pinNrbe

      Numero breve Ricetta Bianca elettronica

    - #### dataPresaInCarico

          private java.lang.String dataPresaInCarico

      Data di presa in carico calcolata dal SAC

    - #### cdaInstance

          private java.lang.String cdaInstance

      Contiene il CDA della prescrizione

    - #### statoProcesso

          private java.lang.String statoProcesso

      STATO DEL PROCESSO della ricetta:
      - 3 = ricetta prescritta ancora da erogare
      - 4 = ricetta annullata dal prescrittore
      - 5 = ricetta in corso di erogazione
      - 6 = sospesa (solo per RNR/RNRL)
      - 7= Singola prescrizione erogata
      - 8 = Ricetta erogata
      - 9 = Ricetta farmaceutica nuovamente erogata a seguito di annullamento

    - #### dataSpedizione

          private java.lang.String dataSpedizione

      Data di spedizione (ossia di erogazione) della ricetta. Calcolata dal SAC come massima data di erogazione dei singoli pezzi

    - #### codCatRicetta

          private java.lang.String codCatRicetta

      Tipologia di ricetta prescritta: RNR, RNRL, RR, RRL

    - #### dispRic3

          private java.lang.String dispRic3

      Informazioni aggiuntive delle Regioni

    - #### codEsitoVisualizzazione

          private java.lang.String codEsitoVisualizzazione

      Codice esito dell’operazione di visualizzazione. Valori possibili
      - 0000 = visualizzazione andata a buon fine senza presenza di segnalazioni
      - 0001 = visualizzazione andata a buon fine ma con presenza di segnalazioni
      - <9999 = visualizzazione non avvenuta/li>

    - #### cfMedico

          private java.lang.String cfMedico

      Codice fiscale del medico che ha effettuato la prescrizione

    - #### nomeMedico

          private java.lang.String nomeMedico

      Nome del medico che ha effettuato la prescrizione

    - #### cognomeMedico

          private java.lang.String cognomeMedico

      Cognome del medico che ha effettuato la prescrizione

    - #### codRegione

          private java.lang.String codRegione

      Codice Regione / Provincia Autonoma del medico prescrittore

    - #### codASLAo

          private java.lang.String codASLAo

      Codice ASL del medico prescrittore

    - #### codStruttura

          private java.lang.String codStruttura

      Codice della struttura dove opera il medico prescrittore

    - #### codSpecializzazione

          private java.lang.String codSpecializzazione

      Specializzazione del medico prescrittore indicato in cfMedico secondo la classificazione del STS

    - #### specialClinica

          private java.lang.String specialClinica

      Specializzazione clinica del medico prescrittore in testo libero

    - #### numIscrizAlbo

          private java.lang.String numIscrizAlbo

      Numero di iscrizione all’albo professionale

    - #### indirMedico

          private java.lang.String indirMedico

      Indirizzo del medico prescrittore

    - #### telefMedico

          private java.lang.String telefMedico

      Numero di telefono del medico prescrittore

    - #### testata1

          private java.lang.String testata1

      Campo destinato a informazioni aggiuntive

    - #### testata2

          private java.lang.String testata2

      Informazioni associate alle Regioni

    - #### cognNome

          private java.lang.String cognNome

      Cognome e nome dell’assistito

    - #### codicePaziente

          private java.lang.String codicePaziente

      Codice Fiscale/STP/ENI dell'assistito

    - #### tipoPrescrizione

          private java.lang.String tipoPrescrizione

      Tipologia della prescrizione

    - #### indirizzo

          private java.lang.String indirizzo

      Indirizzo dell’assistito

    - #### codDiagnosi

          private java.lang.String codDiagnosi

      Codice della diagnosi o del sospetto diagnostico

    - #### descrDiagnosi

          private java.lang.String descrDiagnosi

      Descrizione testuale della diagnosi o del sospetto diagnostico in libero

    - #### dataCompilazione

          private java.lang.String dataCompilazione

      Data compilazione della ricetta da parte del medico

    - #### elencoPrestazioneNSSN

          private ElencoPrestazioneNSSN elencoPrestazioneNSSN

      Lista restituita solo per software di cartelle cliniche, Lista delle prestazioni NSSN presenti in una ricetta

    - #### elencoPrestazioneErogataNSSN

          private ElencoPrestazioneErogataNSSN elencoPrestazioneErogataNSSN

      Lista restituita solo per gestionali di farmacia, Lista delle prestazioni NSSN presenti in una ricetta

    - #### elencoAnomaliaNSSN

          private ElencoAnomaliaNSSN elencoAnomaliaNSSN

      Lista delle anomalie per le prescrizioni NSSN

    - #### elencoComunicazioneNSSN

          private ElencoComunicazioni elencoComunicazioneNSSN

      Lista delle comunicazioni ritornate dal SAC per le prescrizioni NSSN

    - #### flagPromemoria

          private java.lang.String flagPromemoria

      Valori:
      - 0=il SAC ha prodotto il pdf del promemoria della ricetta, che si trova nel tag pdfPromemoria
      - 1= il SAC non ha prodotto il pdf del promemoria della ricetta

    - #### pdfPromemoria

          private java.lang.String pdfPromemoria

      Base64 del promemoria della ricetta dematerializzata in formato PDF.

  - ### Constructor Detail

    - #### PrescrizioneIdentificataNSSNResponse

          public PrescrizioneIdentificataNSSNResponse()

  - ### Method Detail

    - #### getProtocolloTransazione

          public java.lang.String getProtocolloTransazione()

    - #### setProtocolloTransazione

          public void setProtocolloTransazione(java.lang.String protocolloTransazione)

    - #### getDataRicezione

          public java.lang.String getDataRicezione()

    - #### setDataRicezione

          public void setDataRicezione(java.lang.String dataRicezione)

    - #### getNrbe

          public java.lang.String getNrbe()

    - #### setNrbe

          public void setNrbe(java.lang.String nrbe)

    - #### getPinNrbe

          public java.lang.String getPinNrbe()

    - #### setPinNrbe

          public void setPinNrbe(java.lang.String pinNrbe)

    - #### getDataPresaInCarico

          public java.lang.String getDataPresaInCarico()

    - #### setDataPresaInCarico

          public void setDataPresaInCarico(java.lang.String dataPresaInCarico)

    - #### getCdaInstance

          public java.lang.String getCdaInstance()

    - #### setCdaInstance

          public void setCdaInstance(java.lang.String cdaInstance)

    - #### getStatoProcesso

          public java.lang.String getStatoProcesso()

    - #### setStatoProcesso

          public void setStatoProcesso(java.lang.String statoProcesso)

    - #### getDataSpedizione

          public java.lang.String getDataSpedizione()

    - #### setDataSpedizione

          public void setDataSpedizione(java.lang.String dataSpedizione)

    - #### getCodCatRicetta

          public java.lang.String getCodCatRicetta()

    - #### setCodCatRicetta

          public void setCodCatRicetta(java.lang.String codCatRicetta)

    - #### getDispRic3

          public java.lang.String getDispRic3()

    - #### setDispRic3

          public void setDispRic3(java.lang.String dispRic3)

    - #### getCodEsitoVisualizzazione

          public java.lang.String getCodEsitoVisualizzazione()

    - #### setCodEsitoVisualizzazione

          public void setCodEsitoVisualizzazione(java.lang.String codEsitoVisualizzazione)

    - #### getCfMedico

          public java.lang.String getCfMedico()

    - #### setCfMedico

          public void setCfMedico(java.lang.String cfMedico)

    - #### getNomeMedico

          public java.lang.String getNomeMedico()

    - #### setNomeMedico

          public void setNomeMedico(java.lang.String nomeMedico)

    - #### getCognomeMedico

          public java.lang.String getCognomeMedico()

    - #### setCognomeMedico

          public void setCognomeMedico(java.lang.String cognomeMedico)

    - #### getCodRegione

          public java.lang.String getCodRegione()

    - #### setCodRegione

          public void setCodRegione(java.lang.String codRegione)

    - #### getCodASLAo

          public java.lang.String getCodASLAo()

    - #### setCodASLAo

          public void setCodASLAo(java.lang.String codASLAo)

    - #### getCodStruttura

          public java.lang.String getCodStruttura()

    - #### setCodStruttura

          public void setCodStruttura(java.lang.String codStruttura)

    - #### getCodSpecializzazione

          public java.lang.String getCodSpecializzazione()

    - #### setCodSpecializzazione

          public void setCodSpecializzazione(java.lang.String codSpecializzazione)

    - #### getSpecialClinica

          public java.lang.String getSpecialClinica()

    - #### setSpecialClinica

          public void setSpecialClinica(java.lang.String specialClinica)

    - #### getNumIscrizAlbo

          public java.lang.String getNumIscrizAlbo()

    - #### setNumIscrizAlbo

          public void setNumIscrizAlbo(java.lang.String numIscrizAlbo)

    - #### getIndirMedico

          public java.lang.String getIndirMedico()

    - #### setIndirMedico

          public void setIndirMedico(java.lang.String indirMedico)

    - #### getTelefMedico

          public java.lang.String getTelefMedico()

    - #### setTelefMedico

          public void setTelefMedico(java.lang.String telefMedico)

    - #### getTestata1

          public java.lang.String getTestata1()

    - #### setTestata1

          public void setTestata1(java.lang.String testata1)

    - #### getTestata2

          public java.lang.String getTestata2()

    - #### setTestata2

          public void setTestata2(java.lang.String testata2)

    - #### getCognNome

          public java.lang.String getCognNome()

    - #### setCognNome

          public void setCognNome(java.lang.String cognNome)

    - #### getCodicePaziente

          public java.lang.String getCodicePaziente()

    - #### setCodicePaziente

          public void setCodicePaziente(java.lang.String codicePaziente)

    - #### getTipoPrescrizione

          public java.lang.String getTipoPrescrizione()

    - #### setTipoPrescrizione

          public void setTipoPrescrizione(java.lang.String tipoPrescrizione)

    - #### getIndirizzo

          public java.lang.String getIndirizzo()

    - #### setIndirizzo

          public void setIndirizzo(java.lang.String indirizzo)

    - #### getCodDiagnosi

          public java.lang.String getCodDiagnosi()

    - #### setCodDiagnosi

          public void setCodDiagnosi(java.lang.String codDiagnosi)

    - #### getDescrDiagnosi

          public java.lang.String getDescrDiagnosi()

    - #### setDescrDiagnosi

          public void setDescrDiagnosi(java.lang.String descrDiagnosi)

    - #### getDataCompilazione

          public java.lang.String getDataCompilazione()

    - #### setDataCompilazione

          public void setDataCompilazione(java.lang.String dataCompilazione)

    - #### getElencoAnomaliaNSSN

          public ElencoAnomaliaNSSN getElencoAnomaliaNSSN()

    - #### setElencoAnomaliaNSSN

          public void setElencoAnomaliaNSSN(ElencoAnomaliaNSSN elencoAnomaliaNSSN)

    - #### getElencoComunicazioneNSSN

          public ElencoComunicazioni getElencoComunicazioneNSSN()

    - #### setElencoComunicazioneNSSN

          public void setElencoComunicazioneNSSN(ElencoComunicazioni elencoComunicazioneNSSN)

    - #### getFlagPromemoria

          public java.lang.String getFlagPromemoria()

    - #### setFlagPromemoria

          public void setFlagPromemoria(java.lang.String flagPromemoria)

    - #### getPdfPromemoria

          public java.lang.String getPdfPromemoria()

    - #### setPdfPromemoria

          public void setPdfPromemoria(java.lang.String pdfPromemoria)

    - #### getElencoPrestazioneNSSN

          public ElencoPrestazioneNSSN getElencoPrestazioneNSSN()

    - #### setElencoPrestazioneNSSN

          public void setElencoPrestazioneNSSN(ElencoPrestazioneNSSN elencoPrestazioneNSSN)

    - #### getElencoPrestazioneErogataNSSN

          public ElencoPrestazioneErogataNSSN getElencoPrestazioneErogataNSSN()

    - #### setElencoPrestazioneErogataNSSN

          public void setElencoPrestazioneErogataNSSN(ElencoPrestazioneErogataNSSN elencoPrestazioneErogataNSSN)